#ifndef MSP_HTTP_RESPONSE_H_
#define MSP_HTTO_RESPONSE_H_

#include "message.h"
#include "status.h"

namespace Msp {
namespace Http {

class Response: public Message
{
private:
	Status status;

	Response() { }
public:
	Response(Status);
	Status get_status() const { return status; }
	virtual std::string str() const;

	static Response parse(const std::string &);
};

} // namespace Http
} // namespace Msp

#endif
